Spotify não funciona no Deepin 15.8 [RESOLVIDO]

1. Spotify não funciona no Deepin 15.8 [RESOLVIDO]

João Guilherme de Andrade Marins
sony7

(usa Ubuntu)

Enviado em 22/11/2018 - 01:41h

Olá, amigos. Estou recorrendo a vocês depois de tentar 500 alternativas pelas buscas no Google.

E enquanto eu criava este tópico, o Deepin bugou e não reconheceu o teclado em pt-br, mesmo sendo o único instalado(eu desinstalei o inglês). Mas reiniciei e voltou a normal(sic).

O Spotify não instala pela Deepin Store: https://i.imgur.com/dd5i0sk.png

Aí tentei pela opções do site deles, por deb e por snap. O programa até instala, mas simplesmente não abre.

Aí fui tentar desinstalar e aparece no terminal que o programa não está instalado, mesmo aparecendo na lista de programas.

https://i.imgur.com/a0TJKaQ.png

Será algum bug desta nova versão do Deepin, do próprio Spotify ou meu sistema está corrompido? Apenas este programa está apresentando esse problema.


  


2. MELHOR RESPOSTA

Junior L. Botelho
RepolhoRaivoso

(usa Deepin)

Enviado em 13/12/2018 - 02:58h

Então, nem sei se você já resolveu o problema, mas se ainda não resolveu, posso-lhe ajudar.

Há um tempo atrás passei por esse problema e acabei percebendo que o erro em si era no repositório da USP que eu usava no Deepin, resolvi facilmente usando o repositório da UFPR. Porém, se você já tentou alterar os repositórios e ainda assim o erro persiste, então será necessário fazer download manualmente das depencias que o repositório do Deepin quebrou.

Ao todo são três formas que se pode resolver o problema, a primeira e mais simples seria a seguinte:

- Execute o seguinte comando no seu terminal: sudo gedit /etc/apt/sources.list
- Na primeira linha do arquivo adicione o seguinte argumento:

deb [by-hash=force] http://linuxdeepin.c3sl.ufpr.br/deepin/ panda main contrib non-free

- É importante que seja colocado na primeira linha do arquivo.
- Salve o arquivo normalmente, e feche-o
- Execute o comando: sudo apt update && sudo apt -f install
- Pronto, pode usar o Spotify normalmente agora.

Obs: Caso não resolva, execute: sudo apt autoremove spotify-client && sudo apt install spotify-client

O segundo modo para a resolução do problema é instalando dependências que o seu print indicou estar quebrado pelo repositório.
Estes são apenas dois (Como analisado através dessa ancora: https://i.imgur.com/BPDViMe.png):

- libavcodec-ffmpeg56
- libavformat-ffmpeg56

Estarei disponibilizando o download dos arquivos para você instalar em seu sistema manualmente através do comando 'dpkg' ou através do gerenciador de pacotes 'deb' já instalado no Deepin.

(DOWNLOAD: https://www.dropbox.com/s/ad9pl0sgat7kkry/libavffmpeg_amd64.tar.bz2?dl=0)

- Após feito o download entre na pasta onde o arquivo foi baixado e execute pelo terminal: tar -xvjf libavffmpeg_amd64.tar.bz2
- Ainda no terminal execute: sudo dpkg -i libavffmpeg_amd64/*.deb

Feito, suas dependencias foram instaladas manualmente e já pode iniciar o Spotify normalmente.

Há também uma maneira mais completa de se resolver o problema e se prevenir de erros futuros em relação a esses pacotes. Este é o terceiro modo e seria a maneira mais efetiva e recomendada, estou falando em instalar todos os pacotes 'ffmpeg'. O Download abaixo compreende os pacotes ffmpeg atualizados e as versões obrigatórias pelo spotify.

(DOWNLOAD: https://www.dropbox.com/s/100j019col8zqhz/libavffmpeg-resolution_amd64.tar.bz2?dl=0)

- Após o download ter sido feito, entre na pasta onde o arquivo foi baixado e execute pelo terminal: tar -xvjf libavffmpeg-resolution_amd64.tar.bz2
- Após a extração ter dido realizada, ainda no terminal execute: sudo dpkg -i libavffmpeg-resolution_amd64/dependencies/*.deb && sudo dpkg -i libavffmpeg-resolution_amd64/*.deb

Obs: Caso o Spotify ainda não abrir após esses passos, é só executar: sudo apt clean && sudo apt autoremove spotify-client && sudo apt install spotify-client

Todos Os Arquivos: https://www.dropbox.com/sh/p6kzc508fx2p7mh/AABgCdbcFAlZWcAAXPsDDs1ca?dl=0

Cara, poderia me dizer qual é o nome desse tema de ícones que você está usando?

3. Re: Spotify não funciona no Deepin 15.8 [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 22/11/2018 - 07:54h

Aqui o spotify funcionou normalmente no debain 9 instalado com dica abaixo
https://www.vivaolinux.com.br/dica/Instalando-Spotify-no-Debian-9-Stretch

Eu considero o linux-deepin muito bonito mas muito bugado
Por isso sugiro usar linuxmint-19 ou debian-9 ou lmde-3




4. Re: Spotify não funciona no Deepin 15.8 [RESOLVIDO]

Iago Fabricio Silva Melo
iago.melo

(usa Linux Mint)

Enviado em 22/11/2018 - 10:17h

Chegou e verificar se o repositório está correto?

Da uma olhada nesse passo a passo aqui:
https://www.vivaolinux.com.br/dica/Instalando-Spotify-no-Ubuntu-1804-LTS


5. Re: Spotify não funciona no Deepin 15.8

João Guilherme de Andrade Marins
sony7

(usa Ubuntu)

Enviado em 22/11/2018 - 13:18h

iago.melo escreveu:

Chegou e verificar se o repositório está correto?

Da uma olhada nesse passo a passo aqui:
https://www.vivaolinux.com.br/dica/Instalando-Spotify-no-Ubuntu-1804-LTS


Não deu certo

https://imgur.com/a/McR9aAS


6. Re: Spotify não funciona no Deepin 15.8 [RESOLVIDO]

João Guilherme de Andrade Marins
sony7

(usa Ubuntu)

Enviado em 22/11/2018 - 13:23h

clodoaldops escreveu:

Aqui o spotify funcionou normalmente no debain 9 instalado com dica abaixo
https://www.vivaolinux.com.br/dica/Instalando-Spotify-no-Debian-9-Stretch

Eu considero o linux-deepin muito bonito mas muito bugado
Por isso sugiro usar linuxmint-19 ou debian-9 ou lmde-3



https://i.imgur.com/As7yiRL.png

https://i.imgur.com/undefined.png


7. Re: Spotify não funciona no Deepin 15.8 [RESOLVIDO]

Mauriciodez
Mauriciodez

(usa Debian)

Enviado em 22/11/2018 - 14:25h

Pq não usa a versão web ???

https://www.spotify.com/br/
ou
https://music.youtube.com/

------------------------------------------| Linux User #621728 |-----------------------------------------

" Nem sempre é amigo aquele que te tira do buraco !!! ( Saddam Hussein )"

------------------------------------------| Linux User #621728 |-----------------------------------------



8. Re: Spotify não funciona no Deepin 15.8 [RESOLVIDO]

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 22/11/2018 - 15:35h

Quer usar um Linux fácil que não dê dores de cabeça use linuxmint-19



9. Re: Spotify não funciona no Deepin 15.8 [RESOLVIDO]

João Guilherme de Andrade Marins
sony7

(usa Ubuntu)

Enviado em 13/12/2018 - 11:41h

RepolhoRaivoso escreveu:

Então, nem sei se você já resolveu o problema, mas se ainda não resolveu, posso-lhe ajudar.

Há um tempo atrás passei por esse problema e acabei percebendo que o erro em si era no repositório da USP que eu usava no Deepin, resolvi facilmente usando o repositório da UFPR. Porém, se você já tentou alterar os repositórios e ainda assim o erro persiste, então será necessário fazer download manualmente das depencias que o repositório do Deepin quebrou.

Ao todo são três formas que se pode resolver o problema, a primeira e mais simples seria a seguinte:

- Execute o seguinte comando no seu terminal: sudo gedit /etc/apt/sources.list
- Na primeira linha do arquivo adicione o seguinte argumento:

deb [by-hash=force] http://linuxdeepin.c3sl.ufpr.br/deepin/ panda main contrib non-free

- É importante que seja colocado na primeira linha do arquivo.
- Salve o arquivo normalmente, e feche-o
- Execute o comando: sudo apt update && sudo apt -f install
- Pronto, pode usar o Spotify normalmente agora.

Obs: Caso não resolva, execute: sudo apt autoremove spotify-client && sudo apt install spotify-client

O segundo modo para a resolução do problema é instalando dependências que o seu print indicou estar quebrado pelo repositório.
Estes são apenas dois (Como analisado através dessa ancora: https://i.imgur.com/BPDViMe.png):

- libavcodec-ffmpeg56
- libavformat-ffmpeg56

Estarei disponibilizando o download dos arquivos para você instalar em seu sistema manualmente através do comando 'dpkg' ou através do gerenciador de pacotes 'deb' já instalado no Deepin.

(DOWNLOAD: https://www.dropbox.com/s/ad9pl0sgat7kkry/libavffmpeg_amd64.tar.bz2?dl=0)

- Após feito o download entre na pasta onde o arquivo foi baixado e execute pelo terminal: tar -xvjf libavffmpeg_amd64.tar.bz2
- Ainda no terminal execute: sudo dpkg -i libavffmpeg_amd64/*.deb

Feito, suas dependencias foram instaladas manualmente e já pode iniciar o Spotify normalmente.

Há também uma maneira mais completa de se resolver o problema e se prevenir de erros futuros em relação a esses pacotes. Este é o terceiro modo e seria a maneira mais efetiva e recomendada, estou falando em instalar todos os pacotes 'ffmpeg'. O Download abaixo compreende os pacotes ffmpeg atualizados e as versões obrigatórias pelo spotify.

(DOWNLOAD: https://www.dropbox.com/s/100j019col8zqhz/libavffmpeg-resolution_amd64.tar.bz2?dl=0)

- Após o download ter sido feito, entre na pasta onde o arquivo foi baixado e execute pelo terminal: tar -xvjf libavffmpeg-resolution_amd64.tar.bz2
- Após a extração ter dido realizada, ainda no terminal execute: sudo dpkg -i libavffmpeg-resolution_amd64/dependencies/*.deb && sudo dpkg -i libavffmpeg-resolution_amd64/*.deb

Obs: Caso o Spotify ainda não abrir após esses passos, é só executar: sudo apt clean && sudo apt autoremove spotify-client && sudo apt install spotify-client

Todos Os Arquivos: https://www.dropbox.com/sh/p6kzc508fx2p7mh/AABgCdbcFAlZWcAAXPsDDs1ca?dl=0

Cara, poderia me dizer qual é o nome desse tema de ícones que você está usando?


Obrigado pela ajuda, amigo. Um rapaz no grupo do "Deepin Linux Brasil" no Facebook já tinha me ajudado a resolver. O repositório estava quebrado, e o próprio sistema estava me dizendo, pelo terminal, o que eu tinha que fazer. Mas como ainda sou meio leigo, eu nem me liguei.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts